# $Revision: 1.47 $, $Date: 2006/12/20 09:57:43 $
#
# Conditional build:
%bcond_with	default_ipchains	# use ipchains as default accouting agent
#
%include	/usr/lib/rpm/macros.perl
#
Summary:	IP accounting package for Linux
Summary(pl):	Pakiet zbierajcy informacje o ruchu IP
Name:		ipac-ng
Version:	1.31
Release:	6
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/ipac-ng/%{name}-%{version}.tar.bz2
# Source0-md5:	f9ed8a729145ae613b3cdc518f1750e3
Source1:	%{name}.init
Source2:	%{name}.cron
Patch0:		%{name}-hardcode-path.patch
Patch1:		%{name}-gcc4.patch
Patch2:		%{name}-update.patch
URL:		http://sourceforge.net/projects/ipac-ng/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gdbm-devel
BuildRequires:	mysql-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-base
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sqlite-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Obsoletes:	ipac-ng-cgi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _sysconfdir     /etc/%{name}

%description
ipac is a package which is designed to gather, summarize and nicely
output the IP accounting data. ipac make summaries and graphs as ascii
text and/or images with graphs.

%description -l pl
ipac to pakiet przeznaczony do zbierania, podliczania i adnego
przedstawiania danych o ruchu IP. ipac tworzy zestawienia i wykresy
jako tekst ASCII lub obrazki z wykresami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}

%configure \
	--enable-default-access=files \
	--enable-default-storage=gdbm \
	--enable-default-agent=%{?with_default_ipchains:ipchains}%{!?with_default_ipchains:iptables}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,cron.d}
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_htmldir},%{_cgidir},/var/lib/ipac}

install contrib/sample_configs/ipac.conf $RPM_BUILD_ROOT%{_sysconfdir}/ipac.conf
install contrib/sample_configs/rules.conf.%{?with_default_ipchains:ipchains}%{!?with_default_ipchains:iptables} $RPM_BUILD_ROOT%{_sysconfdir}/rules.conf

touch $RPM_BUILD_ROOT/var/lib/ipac/flag

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ipac-ng
%service ipac-ng restart

%preun
if [ "$1" = "0" ]; then
	%service ipac-ng stop
	/sbin/chkconfig --del ipac-ng
fi

%files
%defattr(644,root,root,755)
%doc doc/* contrib/* CHANGELOG README TODO
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/cron.d/%{name}
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%attr(755,root,root) %{_sbindir}/ipac*
%attr(755,root,root) %{_sbindir}/fetchipac
%dir /var/lib/ipac
%attr(664,http,http) /var/lib/ipac/flag
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipac-ng.spec,v $
Revision 1.47  2006/12/20 09:57:43  hawk
- release 6 to rebuild with PostgreSQL 8.2

Revision 1.46  2006/03/27 12:41:36  glen
- rel 5 (libmysqlclient_15)

Revision 1.45  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.44  2005/12/24 19:57:47  arekm
- rel 4; builds; running untested

Revision 1.43  2005/10/27 17:42:18  arekm
- rel 3

Revision 1.42  2005/07/01 22:16:55  arekm
- rebuild; rel2

Revision 1.41  2005/05/22 19:10:10  darekr
- missing dir

Revision 1.40  2005/03/06 10:41:46  glen
- fixed %banner usage

Revision 1.39  2005/02/04 14:22:09  pzurowski
- BR: rpmbuild(macros) >= 1.176 due to:
- %%banner support

Revision 1.38  2005/02/04 10:31:46  pluto
- gcc4 fix.

Revision 1.37  2005/02/04 10:20:56  pluto
- updated to 1.31 (thx. Marcin Banasiak).

Revision 1.36  2004/10/23 19:03:08  darekr
- updated to 1.30
- added BR: bison
- BR: s/perl/perl-base/
- added README in %doc

Revision 1.35  2004/06/05 07:56:23  qboosh
- no macro in Obsoletes

Revision 1.34  2004/06/05 02:34:37  arekm
- 1.28

Revision 1.33  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.32  2004/02/20 21:35:55  ciesiel
- typo

Revision 1.31  2003/12/10 22:50:41  pzurowski
- switched to the new style bconds

Revision 1.30  2003/12/10 21:25:42  arekm
- updated some files to latest version (taken from iptables)

Revision 1.29  2003/10/26 14:08:13  arekm
- updated to 1.27pl1

Revision 1.28  2003/09/04 11:52:59  arekm
- build both agents (iptables and ipchains) even if none is installed in system
- fix bcond name (default_ipchains is more accurate)
- epoch 0 for proper requires rules

Revision 1.27  2003/08/25 01:29:17  arekm
- default is iptables version

Revision 1.26  2003/08/18 07:43:15  qboosh
- missing defattr, deps for init script

Revision 1.25  2003/08/14 22:17:46  ankry
- description formatting and other minor description fixes

Revision 1.24  2003/08/14 18:33:00  arekm
- include rules.conf

Revision 1.23  2003/08/14 18:28:03  arekm
- init script and cron job added

Revision 1.22  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.21  2003/07/30 14:43:40  marcus
- cgi scripts splitted to subpackage
- TODO: init script for fetchipac

Revision 1.20  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.19  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:48:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/23 09:22:18  misiek
- updated to 1.27

Revision 1.16  2003/03/02 18:21:59  radek
- BR: firewall-userspace-tool

Revision 1.15  2003/02/25 12:55:31  qboosh
- working Source URL

Revision 1.14  2003/02/13 14:03:33  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.13  2002/12/07 19:39:17  orzech
 - /home/httpd -> /home/services/httpd

Revision 1.12  2002/10/09 08:08:01  qboosh
- BR: automake

Revision 1.11  2002/08/13 21:30:36  misiek
- updated to 1.22 and fixed

Revision 1.10  2002/05/21 23:13:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 16:36:55  arturs
fixed a small typo

Revision 1.8  2002/03/12 13:27:31  newrom
- Upgraded to ver. 1.21
- Commented out patch1, it's not needed
- Changed ipac-ng-pld.patch for newer version of ipac-ng
- STBR && /test

Revision 1.7  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/21 15:55:31  grzegorz
- added ipac-ng-postgresql.patch

Revision 1.5  2002/02/19 15:02:51  serek
- 1.20, pld-patch added, STBR.

Revision 1.4  2002/02/13 11:44:59  qboosh
- moved /var/www/* to /home/httpd, fixed permissions (nobody cannot own
  anything, apache in PLD runs as http user, CGI scripts shouldn't be
  writable (nor owned) by http)
- better summary, added pl description

Revision 1.3  2002/02/13 11:23:25  grzegorz
- cosmetics

Revision 1.2  2002/02/13 11:19:53  grzegorz
- rel 0.2
- adaptarized
- BR: autoconf
- %%configure
- gzip docs
- which rpm packet provide postgres.h ?

Revision 1.1  2002/02/13 10:34:21  newrom
- just added and adapterized.
- IP accounting package with postgresql support, plz testing ;)

* Tue Nov 14 2001 Al Zaharov <kaiser13@mail2000.ru>
- placement of index.html file fixed
- installation of reconfig flag file added
* Mon Oct 15 2001 Al Zaharov <kaiser13@mail2000.ru>
- config file path fixed
- changed to use tmppath
- more requires added
- prereq's added
- ownership of .htaccess changed
* Thu Oct 04 2001 Alex Miller <asmm@canada.com>
- added cgi-bin utilities
- fixed description and %doc attributes
* Wed Oct 03 2001 Alex Miller <asmm@canada.com>
- started package with ipac-ng-1.11
